#include <FaceClassifier/FaceClassifier.h>

namespace face {

void FaceClassifier::init(const std::string name, const std::map<float, std::string> classLabel)
{
	this->name = name;
	this->classLabel = classLabel;
}

FaceClassifier::FaceClassifier()
{
}

FaceClassifier::FaceClassifier(const std::string name, const std::map<float, std::string> classLabel)
{
	init(name, classLabel);
}

FaceClassifier::~FaceClassifier()
{
}

std::string FaceClassifier::getClassLabel(const float key)
{
	return classLabel.find(key)->second;
}

std::string FaceClassifier::getName()
{
	return name;
}

int FaceClassifier::getNOfFeatures()
{
	return nOfFeatures;
}

CvMat *FaceClassifier::CreateFeatureVector(const IplImage * const img)
{
	CvMat *fv = cvCreateMat(1, nOfFeatures, CV_32FC1);
	CreateFeatureVector(img, fv);
	return fv;
}

}